#ifndef SIGNALGENERATOR_H
#define SIGNALGENERATOR_H

#include <QObject>

#include "device/DeviceBase.h"
#include "protocol/SignalGeneratorProtocolBM.h"

class SignalGenerator : public DeviceBase
{
    Q_OBJECT
public:
    explicit SignalGenerator(QObject *parent = nullptr);
    ~SignalGenerator();

    void afterFramePhase(DeviceFrameBaseDto * frameDto);

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);

public slots:
    void dataReceivedHandler(QByteArray data);

};

#endif // SIGNALGENERATOR_H
